Subject: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Drew Adams <[email-masked]>
Date: Fri, 18 Aug 2023 21:07:19 +0000

> > > When using my own function that selects from a collection, I am never
> > > interested in the history. Just want it to cycle through the entries,
> > > that's all. And the less things I got to type, the better.
> >
> > Everyone is different.
> 
> Fine.  But I cannot see the reason to forced mo to override the value of
> 'minibuffer-default-add-function' with a function of my own.

I have nothing to say about that variable,
except to repeat what I already said about
the Emacs change to add COLLECTION to the
future history: It's a misguided misfeature.

Never shoulda happened.  Isn't helpful.
Just one opinion.